Ogre::ProcessNameExclusionScriptCompilerEvent Class Reference
General

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::ProcessNameExclusionScriptCompilerEvent:
[legend]

List of all members.

## Public Member Functions

| ProcessNameExclusionScriptCompilerEvent (const String &cls, AbstractNode *parent)

## Public Attributes

String | mClass
AbstractNode * | mParent
String | mType

## Static Public Attributes

static String | eventType

## Detailed Description

Definition at line 493 of file OgreScriptCompiler.h.

## Constructor & Destructor Documentation

Ogre::ProcessNameExclusionScriptCompilerEvent::ProcessNameExclusionScriptCompilerEvent | ( | const String & | cls,
|  | AbstractNode * | parent
| ) |  |

Definition at line 500 of file OgreScriptCompiler.h.

## Member Data Documentation

String Ogre::ProcessNameExclusionScriptCompilerEvent::eventType`[static]`

Definition at line 498 of file OgreScriptCompiler.h.

String Ogre::ProcessNameExclusionScriptCompilerEvent::mClass

Definition at line 496 of file OgreScriptCompiler.h.

AbstractNode* Ogre::ProcessNameExclusionScriptCompilerEvent::mParent

Definition at line 497 of file OgreScriptCompiler.h.

String Ogre::ScriptCompilerEvent::mType`[inherited]`

Definition at line 331 of file OgreScriptCompiler.h.

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:38